scala.math.Ordering

# Int

#### implicit object Int extends IntOrdering

Source
  Ordering.scala

Linear Supertypes
IntOrdering, Ordering[Int], PartialOrdering[Int], Equiv[Int], Serializable, java.io.Serializable, Comparator[Int], AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Int
2. IntOrdering
3. Ordering
4. PartialOrdering
5. Equiv
6. Serializable
7. Serializable
8. Comparator
9. AnyRef
10. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### class Ops extends AnyRef

   This inner class defines comparison operators available for `T`.

   This inner class defines comparison operators available for `T`.

   Definition Classes
     Ordering

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### def compare(x: Int, y: Int): Int

   Returns an integer whose sign communicates how x compares to y.

   Returns an integer whose sign communicates how x compares to y.

   The result sign has the following meaning:

   - negative if x < y
   - positive if x > y
   - zero otherwise (if x == y)
   Definition Classes
     IntOrdering → Ordering → Comparator

7. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

8. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

9. #### def equiv(x: Int, y: Int): Boolean

   Return true if `x` == `y` in the ordering.

   Return true if `x` == `y` in the ordering.

   Definition Classes
     Ordering → PartialOrdering → Equiv

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

12. #### def gt(x: Int, y: Int): Boolean

    Return true if `x` > `y` in the ordering.

    Return true if `x` > `y` in the ordering.

    Definition Classes
      Ordering → PartialOrdering

13. #### def gteq(x: Int, y: Int): Boolean

    Return true if `x` >= `y` in the ordering.

    Return true if `x` >= `y` in the ordering.

    Definition Classes
      Ordering → PartialOrdering

14. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

15. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

16. #### def lt(x: Int, y: Int): Boolean

    Return true if `x` < `y` in the ordering.

    Return true if `x` < `y` in the ordering.

    Definition Classes
      Ordering → PartialOrdering

17. #### def lteq(x: Int, y: Int): Boolean

    Return true if `x` <= `y` in the ordering.

    Return true if `x` <= `y` in the ordering.

    Definition Classes
      Ordering → PartialOrdering

18. #### def max(x: Int, y: Int): Int

    Return `x` if `x` >= `y`, otherwise `y`.

    Return `x` if `x` >= `y`, otherwise `y`.

    Definition Classes
      Ordering

19. #### def min(x: Int, y: Int): Int

    Return `x` if `x` <= `y`, otherwise `y`.

    Return `x` if `x` <= `y`, otherwise `y`.

    Definition Classes
      Ordering

20. #### implicit def mkOrderingOps(lhs: Int): Ops

    This implicit method augments `T` with the comparison operators defined in `scala.math.Ordering.Ops`.

    This implicit method augments `T` with the comparison operators defined in `scala.math.Ordering.Ops`.

    Definition Classes
      Ordering

21. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

22. #### final def notify(): Unit

    Definition Classes
      AnyRef

23. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

24. #### def on[U](f: (U) ⇒ Int): Ordering[U]

    Given f, a function from U into T, creates an Ordering[U] whose compare function is equivalent to:

    Given f, a function from U into T, creates an Ordering[U] whose compare function is equivalent to:

        def compare(x:U, y:U) = Ordering[T].compare(f(x), f(y))

    Definition Classes
      Ordering

25. #### def reverse: Ordering[Int]

    Return the opposite ordering of this one.

    Return the opposite ordering of this one.

    Definition Classes
      Ordering → PartialOrdering

26. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

27. #### def toString(): String

    Definition Classes
      AnyRef → Any

28. #### def tryCompare(x: Int, y: Int): Some[Int]

    Returns whether a comparison between `x` and `y` is defined, and if so the result of `compare(x, y)`.

    Returns whether a comparison between `x` and `y` is defined, and if so the result of `compare(x, y)`.

    Definition Classes
      Ordering → PartialOrdering

29. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from IntOrdering

### Inherited from Ordering[Int]

### Inherited from PartialOrdering[Int]

### Inherited from Equiv[Int]

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Comparator[Int]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped